#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

ll d[100006], p[100006];
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    ll n, m, a, b, rez=0;

    cin >> n >> m;
    for(ll i=0;i<n;i++){
        cin >> d[i];
    }
    for(ll i=0;i<n;i++){
        p[i]=0;
    }
    for(ll i=0;i<m;i++){
        cin >> a >> b;
        p[a-1]++;
        p[b-1]++;
    }

    for(ll i=0;i<n;i++){
        rez+=abs(d[i]*p[i]);
    }
    cout << rez;
}